## postgresql-pljava 1.5.2

=== src/java/test/Makefile ===
#-------------------------------------------------------------------------
# Copyright (c) 2004, 2005 TADA AB - Taby Sweden
# Distributed under the terms shown in the file COPYRIGHT
# found in the root folder of this project or at
# http://eng.tada.se/osprojects/COPYRIGHT.html
#
# @author Thomas Hallgren
#-------------------------------------------------------------------------
NAME 			:= test
JAVADOCTITLE	:= 'PL/Java test API Specification'

include $(MODULEROOT)/Makefile.global

all: $(JARFILE)

$(JARFILE): .timestamp
	$(JAR) cf $@ .

=== pljava-so/src/main/c/Makefile ===
#-------------------------------------------------------------------------
# Copyright (c) 2004, 2005, 2006 TADA AB - Taby Sweden
# Copyright (c) 2007 - 2011 PostgreSQL Global Development Group
#
# Distributed under the terms shown in the file COPYRIGHT
# found in the root folder of this project or at
# http://wiki.tada.se/index.php?title=PLJava_License
#
# @author Thomas Hallgren
#-------------------------------------------------------------------------
MODULE_big	:= pljava
SRCDIR	:= $(MODULEROOT)/$(MODULE_big)
INCLDIR	:= -I$(MODULEROOT)/include -I$(JNIDIR)

mkobjs	= $(subst $(SRCDIR)/,,$(1:%.c=%.o))
SRCS	= $(shell find $(SRCDIR) -name CVS -prune -o -type f -name \*.c -print)
OBJS	= $(call mkobjs,$(SRCS))

DLLTOOL_DEFFLAGS := --add-stdcall-alias

.PHONY: checkjavahome build pljava-plugin

$(OBJS): %.o : $(SRCDIR)/%.c
	@-mkdir -p $(@D)
	$(CC) -c $(CFLAGS) $(CPPFLAGS) $< -o $@

# Must include PGXS at this point since it defines PORTNAME and VERSION
#
include $(PGXS)

SS_VERSION := $(subst ., ,$(subst devel,.99,$(subst beta,.99,$(subst alpha,.99,$(subst rc,.99,$(subst RC,.99,$(VERSION)))))))
PGSQL_MAJOR_VER	= $(word 1,$(SS_VERSION))
PGSQL_MINOR_VER	= $(word 2,$(SS_VERSION))
PGSQL_PATCH_VER	= $(word 3,$(SS_VERSION))

PLJAVA_CPPFLAGS = \
	-DPKGLIBDIR=\"$(pkglibdir)\" $(INCLDIR) \
	-DPGSQL_MAJOR_VER=$(PGSQL_MAJOR_VER) \
	-DPGSQL_MINOR_VER=$(PGSQL_MINOR_VER) \
	-DPGSQL_PATCH_VER=$(PGSQL_PATCH_VER)

ifeq ($(PORTNAME), win32)
	DLL_BUILD := 1
else
ifeq ($(PORTNAME), darwin)
	#
	# override with JAVAVM_FWX_ROOT=/... on command line
	# if something else is needed
	#
	JAVAVM_FWX_ROOT := /System/Library/Frameworks
	PLJAVA_CPPFLAGS += -I$(JAVAVM_FWX_ROOT)/JavaVM.framework/Headers/
else
ifeq ($(PORTNAME), ibmos2)
	DLL_BUILD := 1
else
	JRE_INCL := $(PORTNAME)
	ifeq ($(host_cpu), powerpc64)
		JRE_CPU := ppc64
	else
	ifeq ($(host_cpu), i686)
		JRE_CPU := i386
	else
	ifeq ($(host_cpu), i586)
		JRE_CPU := i386
	else
	ifeq ($(host_cpu), i486)
		JRE_CPU := i386
	else
	ifeq ($(host_cpu), x86_64)
		JRE_CPU := amd64
	else
		JRE_CPU := $(host_cpu)
	endif
	endif
	endif
	endif
	endif

	ifeq ($(JRE_CPU), i386)
		ifeq ($(findstring -m64, $(CFLAGS)), -m64)
			JRE_CPU := amd64
		endif
	endif

endif
endif
endif

ifdef USE_GCJ
	PLJAVA_CPPFLAGS += -DGCJ
	SHLIB_LINK = -lgcj $(PLJAVA_LDFLAGS)
	ifdef DLL_BUILD
		SHLIB_LINK += -lws2_32
	endif
	OBJS += pljava_jar.o
else
	pljava-jar = pljava.jar
	ifeq ($(PORTNAME), darwin)
		SHLIB_LINK += -L. -framework JavaVM $(PLJAVA_LDFLAGS)
	else
		ifdef JAVA_HOME
			ifeq ($(PORTNAME), win32)
				JDK_HOME := $(subst \,/,$(JAVA_HOME))
			else
				JDK_HOME := $(JAVA_HOME)
			endif
		else
			ifeq ($(PORTNAME), ibmos2)
				JAVA_HOME_TEST_RESULT := $(echo "You must set JAVA_HOME")
			else
				JAVA_HOME_TEST_RESULT := $(error You must set JAVA_HOME)
			endif
		endif
		ifdef DLL_BUILD
			ifeq ($(PORTNAME),ibmos2)
				JRE_INCL := os2
			else
				JRE_INCL := win32
			endif
			ifeq ($(host_cpu), x86_64)
				JVM_LIB  := $(JDK_HOME)/jre/bin/server
			else
				JVM_LIB  := $(JDK_HOME)/jre/bin/client
			endif
		else
			JRE_LIB := $(JDK_HOME)/jre/lib/$(JRE_CPU)
			JVM_LIB := $(firstword $(shell /bin/ls -d \
				$(JRE_LIB)/client \
				$(JRE_LIB)/server \
				$(JRE_LIB)/jrockit \
				$(JDK_HOME)/jre/bin/j9vm \
				2> /dev/null))
		endif

		PLJAVA_CPPFLAGS += -I"$(JDK_HOME)/include" -I"$(JDK_HOME)/include/$(JRE_INCL)"
		SHLIB_LINK += -L. -L"$(JVM_LIB)" -ljvm $(PLJAVA_LDFLAGS)

		ifdef USE_LD_RPATH
			ifeq (${USE_LD_RPATH},1)
				SHLIB_LINK += -Wl,-rpath,${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-Wl,-rpath,$(JVM_LIB:/j9vm=)
				endif
			else
			ifeq (${USE_LD_RPATH},2)
				SHLIB_LINK += -rpath ${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-rpath $(JVM_LIB:/j9vm=)
				endif
			else
			ifeq (${USE_LD_RPATH},3)
				SHLIB_LINK += -R${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-R$(JVM_LIB:/j9vm=)
				endif
			else
			ifeq (${USE_LD_RPATH},4)
				SHLIB_LINK += -R ${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-R $(JVM_LIB:/j9vm=)
				endif
			else
			ifeq (${USE_LD_RPATH},5)
				SHLIB_LINK += -Wl,-R${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-Wl,-R$(JVM_LIB:/j9vm=)
				endif
			else
			ifeq (${USE_LD_RPATH},6)
				SHLIB_LINK += -Wl,-R,${JVM_LIB}
				ifneq ($(JVM_LIB), $(JVM_LIB:/j9vm=))
					SHLIB_LINK += \
						-Wl,-R,$(JVM_LIB:/j9vm=)
				endif
			endif
			endif
			endif
			endif
			endif
			endif

		endif
	endif
endif

ifeq ($(JRE_INCL), win32)
#
# Mingw is a bit special in that we use a "normal" windows
# port of the Java Runtime Environment (unless we use gcj
# of course). The headers etc. for the JRE is windows style
# and contains __int64. GNU compiler doesn't know __int64,
# instead it uses long long.
#
ifndef USE_GCJ

PLJAVA_CPPFLAGS += -D__int64='long long'

# Don't use higher standard then c89 since this rules out older compilers. We
# must use 'long long' however, since JNI defines it.
#
PLJAVA_CFLAGS += -Wno-long-long

endif
endif

override CPPFLAGS += $(PLJAVA_CPPFLAGS)
override CFLAGS += $(PLJAVA_CFLAGS)

# shlib naming convention for plugins (no 'lib')
#
plugin = $(NAME)$(DLSUFFIX)
soname = $(plugin)
shlib  = $(plugin)

ifndef USE_GCJ
checkjavahome:
	$(JAVA_HOME_TEST_RESULT)
endif

ifneq ($(PORTNAME), win32)
ifneq ($(PORTNAME), aix)

# Normal case
#
$(plugin): $(OBJS)
	$(LINK.shared) $(LDFLAGS_SL) $(OBJS) $(SHLIB_LINK) -o $(plugin)

else # PORTNAME == aix

# AIX case
#
$(plugin): lib$(NAME).a
	$(MKLDEXPORT) lib$(NAME).a > $(NAME)$(EXPSUFF)
	$(COMPILER) $(LDFLAGS_NO_L) $(LDFLAGS_SL) -o $(plugin) $< -Wl,-bE:$(NAME)$(EXPSUFF) $(SHLIB_LINK)

endif # PORTNAME == aix

else # PORTNAME == win32

# win32 case
#
$(plugin): $(OBJS)
ifndef USE_GCJ
ifneq ($(host_cpu), x86_64)
	$(DLLTOOL) --input-def $(SRCDIR)/jvm.def --kill-at --dllname jvm.dll --output-lib libjvm.dll.a
endif
endif
ifeq ($(host_cpu), x86_64)
	$(DLLTOOL) --export-all --output-def $(NAME).def $(OBJS)
	$(DLLTOOL) --dllname $(plugin) $(DLLTOOL_LIBFLAGS) \
		--def $(NAME).def
	gendef - ${JVM_LIB}/jvm.dll > jvm.def
	${DLLTOOL} --export-all-symbols --input-def jvm.def \
		--output-lib libjvm.dll.a
	${CC} -shared -o ${plugin} ${OBJS} ${BE_DLLLIBS} -L. -ljvm
else
	$(DLLTOOL) --export-all $(DLLTOOL_DEFFLAGS) \
		--output-def $(NAME).def $(OBJS)
	$(DLLWRAP) $(LDFLAGS_SL) -o $(plugin) --dllname $(plugin) \
		$(DLLWRAP_FLAGS) --def $(NAME).def $(OBJS) \
		$(SHLIB_LINK)
	$(DLLTOOL) --dllname $(plugin) $(DLLTOOL_LIBFLAGS) \
		--def $(NAME).def
endif

endif # PORTNAME == win32

build_all: $(plugin)

build_install: build_all installdirs
	$(INSTALL_SHLIB) $(plugin) $(DESTDIR)$(pkglibdir)/$(plugin)
ifndef USE_GCJ
	$(INSTALL_DATA) ../$(pljava-jar) $(DESTDIR)$(pkglibdir)
endif

build_uninstall:
	rm -f $(DESTDIR)$(pkglibdir)/$(plugin)
ifndef USE_GCJ
	rm -f $(DESTDIR)$(pkglibdir)/$(pljava-jar)
endif

=== debian/changelog ===
postgresql-pljava (1.5.2-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- apt.postgresql.org autobuilder <pgsql-pkg-debian@postgresql.org>  Fri, 09 Nov 2018 11:36:20 +0100

postgresql-pljava (1.5.2-1) unstable; urgency=medium

  * New upstream version.
  * Test-Depend on default-jre-headless.
  * Build with -Psaxon-examples (not with Java 7).
  * Remove dead gborg images from documentation.

 -- Christoph Berg <christoph.berg@credativ.de>  Fri, 09 Nov 2018 11:36:20 +0100

=== debian/control ===
Source: postgresql-pljava
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends:
 debhelper (>= 9),
 default-jre-headless,
 libkrb5-dev,
 libssl-dev,
 maven,
 openjdk-8-jdk-headless | openjdk-7-jdk,
 postgresql-server-dev-all (>= 118),
Standards-Version: 4.2.0
Homepage: https://tada.github.io/pljava/
Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
XS-Testsuite: autopkgtest

Package: postgresql-9.3-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-9.3,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 9.3
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

Package: postgresql-9.4-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-9.4,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 9.4
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

Package: postgresql-9.5-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-9.5,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 9.5
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

Package: postgresql-9.6-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-9.6,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 9.6
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

Package: postgresql-10-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-10,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 10
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

Package: postgresql-11-pljava
Architecture: any
Depends:
 default-jre-headless | ${jre:Depends} | java-runtime-headless,
 postgresql-11,
 ${misc:Depends},
 ${shlibs:Depends},
Provides: postgresql-pljava
Description: Java procedural language for PostgreSQL 11
 PL/Java is a loadable procedural language for the PostgreSQL database
 system that enables the use of the Java language for creating functions
 and trigger procedures.
 .
 This package has been configured to use libjvm.so from ${jre:Depends}
 by default. Other Java versions can be selected at runtime.

=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/postgresql-common/pgxs_debian_control.mk
include /usr/share/dpkg/architecture.mk

# use Java 8 (or 6/7) for compilation
export JAVA_HOME = $(wildcard /usr/lib/jvm/java-[678]-openjdk-*)
# use the default Java for libjvm at runtime
DPKG_S = $(shell dpkg -S '/usr/lib/jvm/*/libjvm.so' | sort -V | tail -1)
JRE_DEB = $(shell echo $(firstword $(DPKG_S)) | sed -e 's/:.*//')
LIBJVM_SO = $(lastword $(DPKG_S))

# saxon examples require Java 8
ifneq ($(findstring -8-,$(JAVA_HOME)),)
SAXONEXAMPLES = -Psaxon-examples
endif

# teach nar how to compile and link on ppc
ifeq ($(DEB_HOST_ARCH),ppc64el)
AOLPROPERTIES = -Dnar.aolProperties=pljava-so/aol.properties
endif

override_dh_auto_clean:
	# disable fakeroot here, we need the real ~/.m2
	LD_PRELOAD= mvn --batch-mode clean
	rm -rf build-*

override_dh_auto_build:
	set -ex; \
	for version in $$(pg_buildext supported-versions .) ; do \
		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
		echo "### Compiling for PostgreSQL $$version"; \
		mvn --batch-mode -Pwnosign $(SAXONEXAMPLES) \
		    -Dso.debug=true $(AOLPROPERTIES) \
		    -Dpgsql.pgconfig=$$PG_CONFIG \
		    -Dpljava.libjvmdefault=$(LIBJVM_SO) \
		    clean install; \
		mkdir -p build-$$version; \
		cp pljava-packaging/target/pljava-pg$$version*.jar build-$$version; \
	done

override_dh_auto_test:

override_dh_auto_install:
	set -ex; \
	for version in $$(pg_buildext supported-versions .) ; do \
		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
		echo "### Installing for PostgreSQL $$version"; \
		java -Dpgsql.pgconfig=$$PG_CONFIG \
		     -Dpgconfig.pkglibdir=debian/postgresql-$$version-pljava/usr/lib/postgresql/$$version/lib \
		     -Dpgconfig.sharedir=debian/postgresql-$$version-pljava/usr/share/postgresql/$$version \
		     -jar build-$$version/pljava-pg$$version*.jar; \
	done

override_dh_installdocs:
	dh_installdocs --all docs/*.html

override_dh_gencontrol:
	# add dependency on $(JRE_DEB) for libjvm.so
	dh_gencontrol -- -V"jre:Depends=$(JRE_DEB)"

%:
	dh $@

## postgresql-pljava 1.5.5

=== debian/changelog ===
postgresql-pljava (1.5.5-3.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 30 Mar 2020 18:53:12 +0200

postgresql-pljava (1.5.5-3) unstable; urgency=medium

  * Move m2 cache to /var/tmp/m2 and use flock to prevent multiple instances
    from running in parallel.

 -- Christoph Berg <myon@debian.org>  Mon, 30 Mar 2020 18:53:12 +0200

postgresql-pljava (1.5.5-2) unstable; urgency=medium

  * tests: On error, show java log.
  * Support arm64 by adding aarch64 to the nar properties file.

 -- Christoph Berg <myon@debian.org>  Fri, 27 Mar 2020 21:56:49 +0100

postgresql-pljava (1.5.5-1) unstable; urgency=medium

  * New upstream version.
  * Store mvn downloaded files in debian/.m2.

 -- Christoph Berg <myon@debian.org>  Mon, 04 Nov 2019 14:20:36 +0100

postgresql-pljava (1.5.4-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Wed, 30 Oct 2019 11:56:49 +0100

postgresql-pljava (1.5.3-1) unstable; urgency=medium

  * New upstream version.
  * Build with default-{jre,jdk}-headless, drop support for Java 7.
  * Add debian/gitlab-ci.yml.

 -- Christoph Berg <myon@debian.org>  Fri, 07 Jun 2019 16:43:12 +0200

=== debian/control ===
--- 
+++ 
@@ -5,49 +5,17 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  debhelper (>= 9),
+ default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
  libssl-dev,
  maven,
- openjdk-8-jdk-headless | openjdk-7-jdk,
  postgresql-server-dev-all (>= 118),
-Standards-Version: 4.2.0
+Standards-Version: 4.5.0
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.3-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.3,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.3
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
-
-Package: postgresql-9.4-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.4,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.4
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-9.5-pljava
 Architecture: any
@@ -113,3 +81,18 @@
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
 
+Package: postgresql-12-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-12,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 12
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.

=== debian/rules ===
--- 
+++ 
@@ -3,26 +3,27 @@
 include /usr/share/postgresql-common/pgxs_debian_control.mk
 include /usr/share/dpkg/architecture.mk
 
-# use Java 8 (or 6/7) for compilation
-export JAVA_HOME = $(wildcard /usr/lib/jvm/java-[678]-openjdk-*)
+export JAVA_HOME = /usr/lib/jvm/default-java
 # use the default Java for libjvm at runtime
-DPKG_S = $(shell dpkg -S '/usr/lib/jvm/*/libjvm.so' | sort -V | tail -1)
+DPKG_S = $(shell dpkg -S '*/libjvm.so' | sort -V | tail -1)
 JRE_DEB = $(shell echo $(firstword $(DPKG_S)) | sed -e 's/:.*//')
 LIBJVM_SO = $(lastword $(DPKG_S))
-
-# saxon examples require Java 8
-ifneq ($(findstring -8-,$(JAVA_HOME)),)
-SAXONEXAMPLES = -Psaxon-examples
-endif
 
 # teach nar how to compile and link on ppc
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 AOLPROPERTIES = -Dnar.aolProperties=pljava-so/aol.properties
 endif
 
+# put m2 cache into /var/tmp/m2
+# use flock to prevent multiple instances from running in parallel
+LOCK = flock /var/tmp/.m2-lock
+REPO = /var/tmp/m2
+MVN = $(LOCK) mvn -Dmaven.repo.local=$(REPO)
+
 override_dh_auto_clean:
-	# disable fakeroot here, we need the real ~/.m2
-	LD_PRELOAD= mvn --batch-mode clean
+	# delete stale m2 files
+	test ! -d $(REPO) || $(LOCK) find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
+	$(MVN) --batch-mode clean
 	rm -rf build-*
 
 override_dh_auto_build:
@@ -30,7 +31,7 @@
 	for version in $$(pg_buildext supported-versions .) ; do \
 		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
 		echo "### Compiling for PostgreSQL $$version"; \
-		mvn --batch-mode -Pwnosign $(SAXONEXAMPLES) \
+		$(MVN) --batch-mode -Pwnosign -Psaxon-examples \
 		    -Dso.debug=true $(AOLPROPERTIES) \
 		    -Dpgsql.pgconfig=$$PG_CONFIG \
 		    -Dpljava.libjvmdefault=$(LIBJVM_SO) \

## postgresql-pljava 1.5.6

=== debian/changelog ===
postgresql-pljava (1.5.6-1.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Mon, 05 Oct 2020 10:17:04 +0200

postgresql-pljava (1.5.6-1) unstable; urgency=medium

  * New upstream version.
  * Upload for PostgreSQL 13.
  * Use dh --with pgxs.
  * DH 13.
  * debian/tests: Use 'make' instead of postgresql-server-dev-all.
  * debian/tests: Use installed-versions instead of supported-versions.

 -- Christoph Berg <myon@debian.org>  Mon, 05 Oct 2020 10:17:04 +0200

=== debian/control ===
--- 
+++ 
@@ -4,13 +4,13 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 13),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
  libssl-dev,
  maven,
- postgresql-server-dev-all (>= 118),
+ postgresql-all (>= 219~),
 Standards-Version: 4.5.0
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
@@ -96,3 +96,19 @@
  .
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-13-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-13,
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 13
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,5 @@
 #!/usr/bin/make -f
 
-include /usr/share/postgresql-common/pgxs_debian_control.mk
 include /usr/share/dpkg/architecture.mk
 
 export JAVA_HOME = /usr/lib/jvm/default-java
@@ -40,8 +39,6 @@
 		cp pljava-packaging/target/pljava-pg$$version*.jar build-$$version; \
 	done
 
-override_dh_auto_test:
-
 override_dh_auto_install:
 	set -ex; \
 	for version in $$(pg_buildext supported-versions .) ; do \
@@ -53,6 +50,9 @@
 		     -jar build-$$version/pljava-pg$$version*.jar; \
 	done
 
+override_dh_pgxs_test:
+	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
+
 override_dh_installdocs:
 	dh_installdocs --all docs/*.html
 
@@ -61,4 +61,4 @@
 	dh_gencontrol -- -V"jre:Depends=$(JRE_DEB)"
 
 %:
-	dh $@
+	dh $@ --with pgxs

## postgresql-pljava 1.6.3

=== debian/changelog ===
postgresql-pljava (1.6.3-2.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sat, 16 Oct 2021 11:50:51 +0200

postgresql-pljava (1.6.3-2) unstable; urgency=medium

  * Relax dependencies on -pljava-common to >= so we can deprecate PG major
    versions without having to rebuild all older modules when a new pljava
    version is released.
  * Keep required mvn artifacts in debian/m2 and add them to git.

 -- Christoph Berg <myon@debian.org>  Sat, 16 Oct 2021 11:50:51 +0200

postgresql-pljava (1.6.3-1) unstable; urgency=medium

  * New upstream version 1.6.3.

 -- Christoph Berg <myon@debian.org>  Mon, 11 Oct 2021 11:38:47 +0200

postgresql-pljava (1.6.2-2) unstable; urgency=medium

  * Add debian/NEWS entry about the new permission system.

 -- Christoph Berg <myon@debian.org>  Fri, 26 Feb 2021 23:19:24 +0100

postgresql-pljava (1.6.2-1) unstable; urgency=medium

  * New upstream version 1.6.2.
  * Create new package postgresql-pljava-common to hold the pljava.policy
    file.
  * Only invoke "mvn clean" if the package was built to avoid failure because
    pljava-pgxs.jar isn't found.
  * Update tests for new api structure.

 -- Christoph Berg <myon@debian.org>  Wed, 03 Feb 2021 17:39:58 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>= 12),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -12,32 +12,18 @@
  maven,
  postgresql-all (>= 219~),
 Standards-Version: 4.5.0
+Rules-Requires-Root: no
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.5-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.5,
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.5
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-9.6-pljava
 Architecture: any
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-9.6,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -54,6 +40,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-10,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -70,6 +57,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-11,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -86,6 +74,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-12,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -102,6 +91,7 @@
 Depends:
  default-jre-headless | ${jre:Depends} | java-runtime-headless,
  postgresql-13,
+ postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
 Provides: postgresql-pljava
@@ -112,3 +102,31 @@
  .
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-14-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-14,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 14
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-pljava-common
+Architecture: all
+Depends:
+ ${misc:Depends},
+Description: Java procedural language for PostgreSQL, config files
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package contains the pljava.policy config file.

=== debian/rules ===
--- 
+++ 
@@ -13,16 +13,21 @@
 AOLPROPERTIES = -Dnar.aolProperties=pljava-so/aol.properties
 endif
 
-# put m2 cache into /var/tmp/m2
-# use flock to prevent multiple instances from running in parallel
-LOCK = flock /var/tmp/.m2-lock
-REPO = /var/tmp/m2
-MVN = $(LOCK) mvn -Dmaven.repo.local=$(REPO)
+# put m2 cache into debian/m2 and keep it in git
+REPO = debian/m2
+OFFLINE = --offline
+MVN = mvn $(OFFLINE) -Dmaven.repo.local=$(REPO)
+
+override_dh_clean:
+	dh_clean
+	find debian/m2 -type f | LC_COLLATE=C sort > debian/source/include-binaries
 
 override_dh_auto_clean:
+	pg_buildext checkcontrol
 	# delete stale m2 files
-	test ! -d $(REPO) || $(LOCK) find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
-	$(MVN) --batch-mode clean
+	test ! -d $(REPO) || find $(REPO) \( -name \*.part -or -name \*.lock \) -delete
+	# only invoke "clean" if the package was built
+	[ ! -d pljava-so/target ] || $(MVN) --batch-mode clean
 	rm -rf build-*
 
 override_dh_auto_build:
@@ -47,6 +52,7 @@
 		java -Dpgsql.pgconfig=$$PG_CONFIG \
 		     -Dpgconfig.pkglibdir=debian/postgresql-$$version-pljava/usr/lib/postgresql/$$version/lib \
 		     -Dpgconfig.sharedir=debian/postgresql-$$version-pljava/usr/share/postgresql/$$version \
+		     -Dpgconfig.sysconfdir=debian/postgresql-pljava-common/etc/postgresql-common \
 		     -jar build-$$version/pljava-pg$$version*.jar; \
 	done
 
@@ -54,7 +60,7 @@
 	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
 
 override_dh_installdocs:
-	dh_installdocs --all docs/*.html
+	dh_installdocs --all -Npostgresql-pljava-common docs/*.html
 
 override_dh_gencontrol:
 	# add dependency on $(JRE_DEB) for libjvm.so

=== debian/tests/control ===
Depends: @, default-jre-headless, make
Tests: installjar
Restrictions: allow-stderr

## postgresql-pljava 1.6.4

=== debian/changelog ===
postgresql-pljava (1.6.4-1.pgdg18.04+1) bionic-pgdg; urgency=medium

  * Rebuild for bionic-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 11.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 20 Jan 2022 10:29:33 +0100

postgresql-pljava (1.6.4-1) unstable; urgency=medium

  * New upstream version 1.6.4.

 -- Christoph Berg <myon@debian.org>  Thu, 20 Jan 2022 10:29:33 +0100

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 12),
+ debhelper (>= 11),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -17,23 +17,6 @@
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
 Vcs-Browser: https://salsa.debian.org/postgresql/postgresql-pljava
 XS-Testsuite: autopkgtest
-
-Package: postgresql-9.6-pljava
-Architecture: any
-Depends:
- default-jre-headless | ${jre:Depends} | java-runtime-headless,
- postgresql-9.6,
- postgresql-pljava-common (>= ${source:Version}),
- ${misc:Depends},
- ${shlibs:Depends},
-Provides: postgresql-pljava
-Description: Java procedural language for PostgreSQL 9.6
- PL/Java is a loadable procedural language for the PostgreSQL database
- system that enables the use of the Java language for creating functions
- and trigger procedures.
- .
- This package has been configured to use libjvm.so from ${jre:Depends}
- by default. Other Java versions can be selected at runtime.
 
 Package: postgresql-10-pljava
 Architecture: any

## postgresql-pljava 1.6.6

=== debian/changelog ===
postgresql-pljava (1.6.6-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 21 Sep 2023 10:51:22 +0200

postgresql-pljava (1.6.6-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Thu, 21 Sep 2023 10:51:22 +0200

postgresql-pljava (1.6.4-2) unstable; urgency=medium

  * Add patch to support PG 15.

 -- Christoph Berg <myon@debian.org>  Tue, 03 Jan 2023 18:43:37 +0200

=== debian/control ===
--- 
+++ 
@@ -4,7 +4,7 @@
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
- debhelper (>= 11),
+ debhelper-compat (= 13),
  default-jdk-headless,
  default-jre-headless,
  libkrb5-dev,
@@ -103,6 +103,40 @@
  This package has been configured to use libjvm.so from ${jre:Depends}
  by default. Other Java versions can be selected at runtime.
 
+Package: postgresql-15-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-15,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 15
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-16-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-16,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides: postgresql-pljava
+Description: Java procedural language for PostgreSQL 16
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
 Package: postgresql-pljava-common
 Architecture: all
 Depends:

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g; s/b/~beta/" \
https://github.com/tada/pljava/tags .*/V(.*).tar.gz

## postgresql-pljava 1.6.7

=== debian/changelog ===
postgresql-pljava (1.6.7-2.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Thu, 08 Aug 2024 14:49:00 +0000

postgresql-pljava (1.6.7-2) unstable; urgency=medium

  * Fix installation of copyright file in the -common package.

 -- Christoph Berg <myon@debian.org>  Thu, 08 Aug 2024 14:49:00 +0000

postgresql-pljava (1.6.7-1) unstable; urgency=medium

  * New upstream version 1.6.7.
  * Drop -Pnosign, add --errors.
  * B-D on full JDK; -headless doesn't ship libawt_xawt.so which the build
    wants.

 -- Christoph Berg <myon@debian.org>  Thu, 04 Apr 2024 10:52:38 +0200

postgresql-pljava (1.6.6-2) unstable; urgency=medium

  * debian/tests/test.sh: Tell Java 20+ that we use the Java security
    architecture (https://github.com/tada/pljava/wiki/JEP-411).

 -- Christoph Berg <myon@debian.org>  Tue, 26 Mar 2024 16:40:24 +0000

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
- default-jdk-headless,
- default-jre-headless,
+ default-jdk,
+ default-jre,
  libkrb5-dev,
  libssl-dev,
  maven,

=== debian/rules ===
--- 
+++ 
@@ -35,7 +35,7 @@
 	for version in $$(pg_buildext supported-versions .) ; do \
 		PG_CONFIG=/usr/lib/postgresql/$$version/bin/pg_config; \
 		echo "### Compiling for PostgreSQL $$version"; \
-		$(MVN) --batch-mode -Pwnosign -Psaxon-examples \
+		$(MVN) --batch-mode --errors -Psaxon-examples \
 		    -Dso.debug=true $(AOLPROPERTIES) \
 		    -Dpgsql.pgconfig=$$PG_CONFIG \
 		    -Dpljava.libjvmdefault=$(LIBJVM_SO) \
@@ -59,7 +59,7 @@
 override_dh_pgxs_test:
 	+pg_buildext virtualenv . . postgresql-%v-pljava < debian/tests/test.sh
 
-override_dh_installdocs:
+override_dh_installdocs-arch:
 	dh_installdocs --all -Npostgresql-pljava-common docs/*.html
 
 override_dh_gencontrol:

## postgresql-pljava 1.6.9

=== pljava-packaging/Makefile ===
#-------------------------------------------------------------------------
# Copyright (c) 2003, 2004 TADA AB - Taby Sweden
# Distributed under the terms shown in the file COPYRIGHT.
#
# @author Thomas Hallgren
#-------------------------------------------------------------------------
include $(PGXS)
 
SS_VERSION := $(subst ., ,$(subst devel,.devel,$(subst beta,.beta,$(subst rc,.rc,$(subst RC,.RC,$(VERSION))))))
PGSQL_MAJOR_VER = $(word 1,$(SS_VERSION))
PGSQL_MINOR_VER = $(word 2,$(SS_VERSION))
DISTRIB := distrib

ifdef USE_GCJ
	GCJEXTRA=-gcj-
else
	GCJEXTRA=-
endif

RELNAME := pljava-$(host_tuple)$(GCJEXTRA)pg$(PGSQL_MAJOR_VER).$(PGSQL_MINOR_VER)-$(PLJAVA_VERSION)
SRCNAME := pljava-src-$(PLJAVA_VERSION)
PKGNAME := pljava-$(PLJAVA_VERSION)

release:
	@-mkdir -p $(RELNAME)
	@-rm -f $(RELNAME)/*
	@find .	\(				\
		   -name '*.jar'	\
		-o -name '*.so'		\
		-o -name '*.dll'	\
		\) -a -not -path ./$(RELNAME)'/*' -exec cp {} $(RELNAME) \;
	@cp ../src/sql/*.sql $(RELNAME)
	@$(TAR) cf $(RELNAME)/docs.tar docs
	(cd $(RELNAME); $(TAR) zcf ../distrib/$(RELNAME).tar.gz .)

source_tarball:
	@-mkdir -p distrib
	@-mkdir -p $(PKGNAME)
	@-rm -rf $(PKGNAME)/*
	@(cd ..; find . \( \
		   -name CVS \
		-o -name bin \
		-o -name build \
		-o -name .cvsignore \
		\) -prune -o \( -type f -print \) \
		| cpio -pmud "build/$(PKGNAME)" )
	@$(TAR) zcf $(DISTRIB)/$(SRCNAME).tar.gz $(PKGNAME)

JAR				:= jar

PUBLIC_ROOT		:= classes/pljava
PUBLIC_CLASSES	:= $(wildcard $(PUBLIC_ROOT)/org/postgresql/pljava/*.*)
PUBLIC_REL_CLASSES = $(foreach var,$(PUBLIC_CLASSES),$(subst $(PUBLIC_ROOT)/,,$(var)))

PUBLIC_SRC_ROOT	:= ../src/java/pljava
PUBLIC_SRCS		:= $(wildcard $(PUBLIC_SRC_ROOT)/org/postgresql/pljava/*.*)
PUBLIC_REL_SRCS = $(foreach var,$(PUBLIC_SRCS),$(subst $(PUBLIC_SRC_ROOT)/,,$(var)))

PUBLIC_NAME		:= pljava-public-$(PLJAVA_VERSION)
PUBLIC_BUNDLE	:= distrib/$(PUBLIC_NAME)-bundle.jar
JIRA_DESC		:= distrib/jira-desc.txt
BUNDLEDIR		:= maven_bundle
PUBLIC_JARFILE	:= $(PUBLIC_NAME).jar
PUBLIC_SRC_JARFILE	:= $(PUBLIC_NAME)-src.jar

maven_bundle: $(PUBLIC_BUNDLE) $(JIRA_DESC)

$(PUBLIC_BUNDLE): $(BUNDLEDIR)/LICENSE.txt $(BUNDLEDIR)/project.xml $(BUNDLEDIR)/$(PUBLIC_JARFILE) $(BUNDLEDIR)/$(PUBLIC_SRC_JARFILE)
	@(cd $(BUNDLEDIR); $(JAR) cf ../$@ *)

$(BUNDLEDIR)/LICENSE.txt: $(PROJDIR)/COPYRIGHT
	@-mkdir -p $(BUNDLEDIR)
	@cp $< $(BUNDLEDIR)/LICENSE.txt

$(BUNDLEDIR)/project.xml: $(PROJDIR)/packaging/project.xml
	@-mkdir -p $(BUNDLEDIR)
	@sed -e 's/@PLJAVA_VERSION@/'$(PLJAVA_VERSION)'/' $< > $@

$(BUNDLEDIR)/$(PUBLIC_JARFILE): $(PUBLIC_CLASSES)
	@-mkdir -p $(BUNDLEDIR)
	@(cd $(PUBLIC_ROOT); $(JAR) cf ../../$@ $(PUBLIC_REL_CLASSES))

$(BUNDLEDIR)/$(PUBLIC_SRC_JARFILE): $(PUBLIC_SRCS)
	@-mkdir -p $(BUNDLEDIR)
	@(cd $(PUBLIC_SRC_ROOT); $(JAR) cf ../../../build/$@ $(PUBLIC_REL_SRCS)) 

$(JIRA_DESC): $(PROJDIR)/packaging/jira-desc.txt
	@sed -e 's/@PLJAVA_VERSION@/'$(PLJAVA_VERSION)'/' $< > $@

=== debian/changelog ===
postgresql-pljava (1.6.9-1.pgdg24.04+1) noble-pgdg; urgency=medium

  * Rebuild for noble-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Sun, 23 Mar 2025 22:16:12 +0100

postgresql-pljava (1.6.9-1) unstable; urgency=medium

  * New upstream version 1.6.9.

 -- Christoph Berg <myon@debian.org>  Sun, 23 Mar 2025 22:16:12 +0100

postgresql-pljava (1.6.8-2) unstable; urgency=medium

  * debian/m2: Import new jars required on Ubuntu plucky.

 -- Christoph Berg <myon@debian.org>  Fri, 14 Feb 2025 11:07:49 +0000

postgresql-pljava (1.6.8-1) unstable; urgency=medium

  * New upstream version 1.6.8.
  * Upload for PostgreSQL 17.
  * Restrict to 64-bit architectures.
  * Mark postgresql-all as <!nocheck>.

 -- Christoph Berg <myon@debian.org>  Sun, 27 Oct 2024 14:52:50 +0100

=== debian/control ===
--- 
+++ 
@@ -2,16 +2,19 @@
 Section: database
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <pkg-postgresql-public@lists.alioth.debian.org>
-Uploaders: Christoph Berg <myon@debian.org>
+Uploaders:
+ Christoph Berg <myon@debian.org>,
 Build-Depends:
+ architecture-is-64-bit <!pkg.postgresql.32-bit>,
  debhelper-compat (= 13),
  default-jdk,
  default-jre,
  libkrb5-dev,
  libssl-dev,
  maven,
- postgresql-all (>= 219~),
-Standards-Version: 4.5.0
+ postgresql-all <!nocheck>,
+ postgresql-server-dev-all,
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://tada.github.io/pljava/
 Vcs-Git: https://salsa.debian.org/postgresql/postgresql-pljava.git
@@ -26,7 +29,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 10
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -43,7 +47,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 11
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -60,7 +65,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 12
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -77,7 +83,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 13
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -94,7 +101,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 14
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -111,7 +119,8 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 15
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
@@ -128,8 +137,27 @@
  postgresql-pljava-common (>= ${source:Version}),
  ${misc:Depends},
  ${shlibs:Depends},
-Provides: postgresql-pljava
+Provides:
+ postgresql-pljava,
 Description: Java procedural language for PostgreSQL 16
+ PL/Java is a loadable procedural language for the PostgreSQL database
+ system that enables the use of the Java language for creating functions
+ and trigger procedures.
+ .
+ This package has been configured to use libjvm.so from ${jre:Depends}
+ by default. Other Java versions can be selected at runtime.
+
+Package: postgresql-17-pljava
+Architecture: any
+Depends:
+ default-jre-headless | ${jre:Depends} | java-runtime-headless,
+ postgresql-17,
+ postgresql-pljava-common (>= ${source:Version}),
+ ${misc:Depends},
+ ${shlibs:Depends},
+Provides:
+ postgresql-pljava,
+Description: Java procedural language for PostgreSQL 17
  PL/Java is a loadable procedural language for the PostgreSQL database
  system that enables the use of the Java language for creating functions
  and trigger procedures.
